package com.kxs.lhb.basic.api.model;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.kxs.common.core.valid.Phone;
import jakarta.validation.constraints.NotBlank;

/**
 * 订单号码充值记录(LhbOrderRecharge)表实体类
 *
 * @author 系统
 * @since 2024-10-18 16:10:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LhbOrderRecharge extends Model<LhbOrderRecharge> implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    
    
    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateBy;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;


    /**
     * 充值金额 单位分
     */
    @Schema(description = "充值金额 单位分")
    private BigDecimal rechargeFee;


    /**
     * 支付金额 分
     */
    @Schema(description = "支付金额 分")
    private BigDecimal payFee;


    /**
     * 产品ID
     */
    @Schema(description = "产品ID")
    private Integer goodsId;

    /**
     * 电话
     */
    @Schema(description = "电话")
    private String phone;

    /**
     * 是否首冲
     */
    @Schema(description = "是否首冲")
    private Integer isFirst;


    /**
     * 版本
     */
    @Schema(description = "版本")
    private Integer version;


    /**
     * 删除标记，0未删除，1已删除
     */
    @Schema(description = "删除标记，0未删除，1已删除")
    private Integer delFlag;


    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;


    /**
     * 新增时间
     */
    @TableField(fill = FieldFill.INSERT)
    @Schema(description = "新增时间")
    private LocalDateTime createTime;


    /**
     * 套餐ID
     */
    @Schema(description = "套餐ID")
    private Integer skuId;


    /**
     * 套餐名称
     */
    @Schema(description = "套餐名称")
    private String skuName;


    /**
     * 活动编码
     */
    @Schema(description = "活动编码")
    private String activityCode;


    /**
     * 能否充值标志0该档次不能充值1可以充值
     */
    @Schema(description = "能否充值标志0该档次不能充值1可以充值")
    private Integer canRecharge;


    /**
     * 通道号
     */
    @Schema(description = "通道号")
    private String ifCode;




}

